- name: software | kube_lens | add repo 
  shell: sudo dnf config-manager --add-repo https://downloads.k8slens.dev/rpm/lens.repo
  when:
    - ansible_distribution in ["Fedora"]
    - kube_lens is defined
    - kube_lens == true

- name: software | kube_lens | install 
  tags: packages,system,system-packages,workstation-packages
  package:
    name:
      - lens
  when: 
    - ansible_distribution in ["Fedora"]
    - kube_lens is defined
    - kube_lens == true